-- YnAEMP_ResourceGrapes
-- Author: Red Gryphon
-- DateCreated: 12/7/2016 9:46:24 PM
--------------------------------------------------------------

g_ResourcesRules = {
[GIANT_EARTH] = defaultResourcesRule,
[HUGE_EARTH] = defaultResourcesRule,
[STANDARD_CORDIFORM_EARTH] = defaultResourcesRule,
[LARGE_EUROPE] = defaultResourcesRule,
[STANDARD_WESTERN_MEDITERRANEAN] = {
	-- for reference default values are in vanilla CIV5Resources.xml
	--
	-- reset Resource_TerrainBooleans
	-- simple table, resources listed here can be placed on defined terrains
	"DELETE FROM Resource_TerrainBooleans",
	"INSERT INTO Resource_TerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_GRASS')",
	"INSERT INTO Resource_TerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_PLAINS')",

	-- reset Resource_FeatureTerrainBooleans
	-- usage : the terrains defined here will need one of the feature listed in Resource_FeatureBooleans to host the resource
	"DELETE FROM Resource_FeatureTerrainBooleans",
	"INSERT INTO Resource_FeatureTerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_GRASS')",
	"INSERT INTO Resource_FeatureTerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_PLAINS')",


	-- reset Resource_FeatureBooleans
	-- this table list the feature needed for the resource to appears on terrains listed in Resource_FeatureTerrainBooleans
	"DELETE FROM Resource_FeatureBooleans",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_FLOOD_PLAINS')",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_FOREST')",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_JUNGLE')",

	-- specific placement rules, available variables
	-- see CaclulateNumResourcesToAdd(resource) in WorldBuilderRandomItems.lua for details on calculations
	--
	-- PlacementOrder : ?
	-- ConstAppearance : base number
	-- MinLatitude
	-- MaxLatitude
	-- RandApp1 : randomized and added to ConstAppearance
	-- RandApp2 : randomized and added to ConstAppearance
	-- RandApp3 : randomized and added to ConstAppearance
	-- RandApp4 : randomized and added to ConstAppearance
	-- Player :  % per player
	-- TilesPer : number tiles for one resource of this type ? (high number means less resource)
	-- MinLandPercent : ?
	-- Unique : ?
	-- GroupRange: ?
	-- GroupRand : ?
	-- ResourceUsage : ?
	-- PresentOnAllValidPlots : I suppose make it appears on all plots that can host it
	-- Area : ?
	-- Hills : true (=1) means must be on hills
	-- Flatlands : true (=1) means must be on flatlands
	-- NoRiverSide : true (=1) means can't be near river
	--
	-- Added variables
	-- AbsoluteBaseAmount : number of resource unaltered by other variable (available tiles, number of players, ...) except AbsoluteVarPercent
	-- AbsoluteVarPercent : modify AbsoluteBaseAmount to a random number in the range of AbsoluteBaseAmount-(AbsoluteVarPercent*AbsoluteBaseAmount/100) and AbsoluteBaseAmount+(AbsoluteVarPercent*AbsoluteBaseAmount/100)
	
	 "UPDATE Resources SET AbsoluteBaseAmount = 24 WHERE Type='RESOURCE_GRAPES'",
	},

[LARGE_MEDITERRANEAN] = {
	-- for reference default values are in vanilla CIV5Resources.xml
	--
	-- reset Resource_TerrainBooleans
	-- simple table, resources listed here can be placed on defined terrains
	"DELETE FROM Resource_TerrainBooleans",
	"INSERT INTO Resource_TerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_GRASS')",
	"INSERT INTO Resource_TerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_PLAINS')",

	-- reset Resource_FeatureTerrainBooleans
	-- usage : the terrains defined here will need one of the feature listed in Resource_FeatureBooleans to host the resource
	"DELETE FROM Resource_FeatureTerrainBooleans",
	"INSERT INTO Resource_FeatureTerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_GRASS')",
	"INSERT INTO Resource_FeatureTerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_PLAINS')",

	-- reset Resource_FeatureBooleans
	-- this table list the feature needed for the resource to appears on terrains listed in Resource_FeatureTerrainBooleans
	"DELETE FROM Resource_FeatureBooleans",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_FLOOD_PLAINS')",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_FOREST')",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_JUNGLE')",

	-- specific placement rules, available variables
	-- see CaclulateNumResourcesToAdd(resource) in WorldBuilderRandomItems.lua for details on calculations
	--
	-- PlacementOrder : ?
	-- ConstAppearance : base number
	-- MinLatitude
	-- MaxLatitude
	-- RandApp1 : randomized and added to ConstAppearance
	-- RandApp2 : randomized and added to ConstAppearance
	-- RandApp3 : randomized and added to ConstAppearance
	-- RandApp4 : randomized and added to ConstAppearance
	-- Player :  % per player
	-- TilesPer : number tiles for one resource of this type ? (high number means less resource)
	-- MinLandPercent : ?
	-- Unique : ?
	-- GroupRange: ?
	-- GroupRand : ?
	-- ResourceUsage : ?
	-- PresentOnAllValidPlots : I suppose make it appears on all plots that can host it
	-- Area : ?
	-- Hills : true (=1) means must be on hills
	-- Flatlands : true (=1) means must be on flatlands
	-- NoRiverSide : true (=1) means can't be near river
	--
	-- Added variables
	-- AbsoluteBaseAmount : number of resource unaltered by other variable (available tiles, number of players, ...) except AbsoluteVarPercent
	-- AbsoluteVarPercent : modify AbsoluteBaseAmount to a random number in the range of AbsoluteBaseAmount-(AbsoluteVarPercent*AbsoluteBaseAmount/100) and AbsoluteBaseAmount+(AbsoluteVarPercent*AbsoluteBaseAmount/100)
	
	 "UPDATE Resources SET AbsoluteBaseAmount = 36 WHERE Type='RESOURCE_GRAPES'",
	},

[STANDARD_EASTERN_MEDITERRANEAN] = {
	-- for reference default values are in vanilla CIV5Resources.xml
	--
	-- reset Resource_TerrainBooleans
	-- simple table, resources listed here can be placed on defined terrains
	"DELETE FROM Resource_TerrainBooleans",
	"INSERT INTO Resource_TerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_GRASS')",
	"INSERT INTO Resource_TerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_PLAINS')",

	-- reset Resource_FeatureTerrainBooleans
	-- usage : the terrains defined here will need one of the feature listed in Resource_FeatureBooleans to host the resource
	"DELETE FROM Resource_FeatureTerrainBooleans",
	"INSERT INTO Resource_FeatureTerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_GRASS')",
	"INSERT INTO Resource_FeatureTerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_PLAINS')",

	-- reset Resource_FeatureBooleans
	-- this table list the feature needed for the resource to appears on terrains listed in Resource_FeatureTerrainBooleans
	"DELETE FROM Resource_FeatureBooleans",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_FLOOD_PLAINS')",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_FOREST')",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_JUNGLE')",

	-- specific placement rules, available variables
	-- see CaclulateNumResourcesToAdd(resource) in WorldBuilderRandomItems.lua for details on calculations
	--
	-- PlacementOrder : ?
	-- ConstAppearance : base number
	-- MinLatitude
	-- MaxLatitude
	-- RandApp1 : randomized and added to ConstAppearance
	-- RandApp2 : randomized and added to ConstAppearance
	-- RandApp3 : randomized and added to ConstAppearance
	-- RandApp4 : randomized and added to ConstAppearance
	-- Player :  % per player
	-- TilesPer : number tiles for one resource of this type ? (high number means less resource)
	-- MinLandPercent : ?
	-- Unique : ?
	-- GroupRange: ?
	-- GroupRand : ?
	-- ResourceUsage : ?
	-- PresentOnAllValidPlots : I suppose make it appears on all plots that can host it
	-- Area : ?
	-- Hills : true (=1) means must be on hills
	-- Flatlands : true (=1) means must be on flatlands
	-- NoRiverSide : true (=1) means can't be near river
	--
	-- Added variables
	-- AbsoluteBaseAmount : number of resource unaltered by other variable (available tiles, number of players, ...) except AbsoluteVarPercent
	-- AbsoluteVarPercent : modify AbsoluteBaseAmount to a random number in the range of AbsoluteBaseAmount-(AbsoluteVarPercent*AbsoluteBaseAmount/100) and AbsoluteBaseAmount+(AbsoluteVarPercent*AbsoluteBaseAmount/100)
	
	 "UPDATE Resources SET AbsoluteBaseAmount = 28 WHERE Type='RESOURCE_GRAPES'",
	},

[LARGE_EASTERN_MEDITERRANEAN] = {
	-- for reference default values are in vanilla CIV5Resources.xml
	--
	-- reset Resource_TerrainBooleans
	-- simple table, resources listed here can be placed on defined terrains
	"DELETE FROM Resource_TerrainBooleans",
	"INSERT INTO Resource_TerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_GRASS')",
	"INSERT INTO Resource_TerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_PLAINS')",

	-- reset Resource_FeatureTerrainBooleans
	-- usage : the terrains defined here will need one of the feature listed in Resource_FeatureBooleans to host the resource
	"DELETE FROM Resource_FeatureTerrainBooleans",
	"INSERT INTO Resource_FeatureTerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_GRASS')",
	"INSERT INTO Resource_FeatureTerrainBooleans VALUES('RESOURCE_GRAPES','TERRAIN_PLAINS')",

	-- reset Resource_FeatureBooleans
	-- this table list the feature needed for the resource to appears on terrains listed in Resource_FeatureTerrainBooleans
	"DELETE FROM Resource_FeatureBooleans",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_FLOOD_PLAINS')",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_FOREST')",
	"INSERT INTO Resource_FeatureBooleans VALUES('RESOURCE_GRAPES','FEATURE_JUNGLE')",

	-- specific placement rules, available variables
	-- see CaclulateNumResourcesToAdd(resource) in WorldBuilderRandomItems.lua for details on calculations
	--
	-- PlacementOrder : ?
	-- ConstAppearance : base number
	-- MinLatitude
	-- MaxLatitude
	-- RandApp1 : randomized and added to ConstAppearance
	-- RandApp2 : randomized and added to ConstAppearance
	-- RandApp3 : randomized and added to ConstAppearance
	-- RandApp4 : randomized and added to ConstAppearance
	-- Player :  % per player
	-- TilesPer : number tiles for one resource of this type ? (high number means less resource)
	-- MinLandPercent : ?
	-- Unique : ?
	-- GroupRange: ?
	-- GroupRand : ?
	-- ResourceUsage : ?
	-- PresentOnAllValidPlots : I suppose make it appears on all plots that can host it
	-- Area : ?
	-- Hills : true (=1) means must be on hills
	-- Flatlands : true (=1) means must be on flatlands
	-- NoRiverSide : true (=1) means can't be near river
	--
	-- Added variables
	-- AbsoluteBaseAmount : number of resource unaltered by other variable (available tiles, number of players, ...) except AbsoluteVarPercent
	-- AbsoluteVarPercent : modify AbsoluteBaseAmount to a random number in the range of AbsoluteBaseAmount-(AbsoluteVarPercent*AbsoluteBaseAmount/100) and AbsoluteBaseAmount+(AbsoluteVarPercent*AbsoluteBaseAmount/100)
	
	 "UPDATE Resources SET AbsoluteBaseAmount = 36 WHERE Type='RESOURCE_GRAPES'",
	},
[STANDARD_AMERICA] = defaultResourcesRule,

}
